> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

> List all members of your team with their email, role, and membership status.

# List team members



## OpenAPI

````yaml get /v1/analytics/team-members
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/analytics/team-members:
    get:
      tags:
        - Analytics
      summary: List team members
      description: >
        Returns all members of the caller's team with their email, role, and
        status.


        Authenticates via API key (`X-Magnific-API-Key` header). The caller's
        team

        is resolved automatically from the API key.
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  $ref: '#/components/examples/200-analytics-team-members'
              schema:
                $ref: >-
                  #/components/schemas/_v1_analytics_team_members_get_200_response
          description: OK
        '403':
          content:
            application/json:
              examples:
                user_not_authorized:
                  summary: User has not privileges to access some resource
                  value:
                    message: User is not authorized to access this resource
                user_not_owner:
                  summary: Collection author id is different from current user's id
                  value:
                    message: User is not owner of requested collection
                item_is_premium:
                  summary: The user cannot download this item because it is premium
                  value:
                    message: The user cannot download this item because it is premium
                creator_not_authorized:
                  summary: Creator has not privileges to access some resource
                  value:
                    message: Creator is not authorized to access this resource
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Forbidden - The client does not have permission to access the
            requested resource.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
components:
  examples:
    200-analytics-team-members:
      summary: Success - List of team members.
      value:
        data:
          - email: designer@company.com
            role: admin
            status: active
          - email: developer@company.com
            role: member
            status: active
          - email: intern@company.com
            role: member
            status: invited
  schemas:
    _v1_analytics_team_members_get_200_response:
      example:
        data:
          - email: designer@company.com
            role: member
            status: active
          - email: designer@company.com
            role: member
            status: active
      properties:
        data:
          items:
            $ref: '#/components/schemas/team-member'
          type: array
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    team-member:
      example:
        email: designer@company.com
        role: member
        status: active
      properties:
        email:
          description: User email address.
          example: designer@company.com
          type: string
        role:
          description: User role within the team.
          enum:
            - owner
            - admin
            - member
          example: member
          type: string
        status:
          description: Membership status.
          enum:
            - active
            - inactive
            - invited
          example: active
          type: string
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````